## org.jboss.ejb.plugins
Class StatefulSessionInstanceInterceptor

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.AbstractInterceptor
            |
            +--org.jboss.ejb.plugins.StatefulSessionInstanceInterceptor

All Implemented Interfaces:
  ContainerPlugin, Interceptor, Service

public class StatefulSessionInstanceInterceptor
extends AbstractInterceptor

This container acquires the given instance.

Version:
  $Revision: 1.15.6.6 $

  Revisions:

  20010704 marcf

  - - Moved to new synchronization

  20010726 billb

  - - externalized bean locking in separate object BeanLock
Author:
  Rickard Öberg, Marc Fleury, Bill Burke, Scott Stark

Field Summary
`protected StatefulSessionContainer` `container`

Fields inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`log, nextInterceptor`

Constructor Summary
`StatefulSessionInstanceInterceptor()`

Method Summary
`Container` `getContainer()`
`java.lang.Object` `invoke(MethodInvocation mi)`
`java.lang.Object` `invokeHome(MethodInvocation mi)`
`void` `setContainer(Container container)` This callback is set by the container so that the plugin may access it

Methods inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`destroy, getNext, init, setNext, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### container

    protected StatefulSessionContainer container

Constructor Detail

### StatefulSessionInstanceInterceptor

    public StatefulSessionInstanceInterceptor()

Method Detail

### setContainer

    public void setContainer(Container container)

  Description copied from interface: `ContainerPlugin`
  This callback is set by the container so that the plugin may access it
  Overrides:
    `setContainer` in class `AbstractInterceptor`
  Following copied from interface: `org.jboss.ejb.ContainerPlugin`
  Parameters:
    `con` - the container using this plugin

### getContainer

    public Container getContainer()

  Overrides:
    `getContainer` in class `AbstractInterceptor`

### invokeHome

    public java.lang.Object invokeHome(MethodInvocation mi)
                                throws java.lang.Exception

  Overrides:
    `invokeHome` in class `AbstractInterceptor`

### invoke

    public java.lang.Object invoke(MethodInvocation mi)
                            throws java.lang.Exception

  Overrides:
    `invoke` in class `AbstractInterceptor`

Copyright © 2000 The JBoss Organization. All Rights Reserved.